Subject: Re: bug#36633: Scrolling by pixels: visible stretch glyphs overwrite header-line.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Jul 2019 11:39:45 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 13 Jul 2019 10:32:16 +0200
> Cc: Keith David Bershatsky <[email-masked]>, [email-masked]
> 
> > > (progn
> > >   (find-library "simple")
> > >   (pixel-scroll-mode 1)
> > >   (re-search-forward "\t\t\t\t\t" nil t)
> > >   (set-window-start (selected-window) (match-beginning 0))
> > >   (setq header-line-format "hello-world")
> > >   (setq buffer-display-table (make-display-table))
> > >   (aset buffer-display-table
> > >         ?\t
> > >         (vector (make-glyph-code ?\u00BB 'font-lock-warning-face)
> > >                 (make-glyph-code ?\t 'highlight)))
> > >   (setq tab-width 8))
> > >
> > > Step 3:  Move the mousewheel downward one time; i.e., one ratchet.
> > >
> > > Step 4:  Observe the visible stretch glyphs overwriting the header-line.
> >
> > This doesn't happen to me on MS-Windows, so I think this is
> > Darwin-specific.
> >
> > Can someone try reproducing this on GNU/Linux and report?
> 
> I can't reproduce this here.

Thanks.  I guess this confirms that the problem is specific to macOS.